/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'build_id',
        dataType: 'TEXT',
      },
      {
        name: 'srfmajortext',
        prop: 'build_name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'buildname',
        prop: 'build_name',
        dataType: 'TEXT',
      },
      {
        name: 'lastruntime',
        prop: 'last_runtime',
        dataType: 'DATETIME',
      },
      {
        name: 'modelname',
        prop: 'model_name',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'buildstate',
        prop: 'state',
        dataType: 'TEXT',
      },
      {
        name: 'dadimension',
        prop: 'dadimension',
        dataType: 'ONE2MANYDATA',
      },
      {
        name: 'modelid',
        prop: 'model_id',
        dataType: 'PICKUP',
      },
      {
        name: 'buildid',
        prop: 'build_id',
        dataType: 'TEXT',
      },
      {
        name: 'dabuild',
        prop: 'build_id',
        dataType: 'FONTKEY',
      },
    ]
  }

}